org.apache.tinkerpop.gremlin.groovy.jsr223.customizer

## Class PropertyExpressionEvaluator

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - org.codehaus.groovy.ast.ClassCodeVisitorSupport
    - - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.PropertyExpressionEvaluator

- All Implemented Interfaces:
    groovy.lang.GroovyObject, org.codehaus.groovy.ast.GroovyClassVisitor, org.codehaus.groovy.ast.GroovyCodeVisitor, org.codehaus.groovy.transform.ErrorCollecting

      public class PropertyExpressionEvaluator
      extends org.codehaus.groovy.ast.ClassCodeVisitorSupport
      implements groovy.lang.GroovyObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyExpressionEvaluator(org.codehaus.groovy.control.SourceUnit unit, List<String> whiteList, org.codehaus.groovy.transform.stc.GroovyTypeCheckingExtensionSupport.TypeCheckingDSL dsl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `groovy.lang.MetaClass` | `getMetaClass()`
    `Object` | `getProperty(String property)`
    `protected org.codehaus.groovy.control.SourceUnit` | `getSourceUnit()`
    `Object` | `invokeMethod(String method, Object arguments)`
    `void` | `setMetaClass(groovy.lang.MetaClass mc)`
    `void` | `setProperty(String property, Object value)`
    `void` | `visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)`

    - ### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

      `addError, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

    - ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

      `visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyExpressionEvaluator

          public PropertyExpressionEvaluator(org.codehaus.groovy.control.SourceUnit unit,
                                             List<String> whiteList,
                                             org.codehaus.groovy.transform.stc.GroovyTypeCheckingExtensionSupport.TypeCheckingDSL dsl)

  - ### Method Detail

    - #### getMetaClass

          public groovy.lang.MetaClass getMetaClass()

      Specified by:
        `getMetaClass` in interface `groovy.lang.GroovyObject`

    - #### setMetaClass

          public void setMetaClass(groovy.lang.MetaClass mc)

      Specified by:
        `setMetaClass` in interface `groovy.lang.GroovyObject`

    - #### invokeMethod

          public Object invokeMethod(String method,
                                     Object arguments)

      Specified by:
        `invokeMethod` in interface `groovy.lang.GroovyObject`

    - #### getProperty

          public Object getProperty(String property)

      Specified by:
        `getProperty` in interface `groovy.lang.GroovyObject`

    - #### setProperty

          public void setProperty(String property,
                                  Object value)

      Specified by:
        `setProperty` in interface `groovy.lang.GroovyObject`

    - #### getSourceUnit

          protected org.codehaus.groovy.control.SourceUnit getSourceUnit()

      Specified by:
        `getSourceUnit` in class `org.codehaus.groovy.ast.ClassCodeVisitorSupport`

    - #### visitPropertyExpression

          public void visitPropertyExpression(org.codehaus.groovy.ast.expr.PropertyExpression expression)

      Specified by:
        `visitPropertyExpression` in interface `org.codehaus.groovy.ast.GroovyCodeVisitor`
      Overrides:
        `visitPropertyExpression` in class `org.codehaus.groovy.ast.CodeVisitorSupport`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.